/*
 * @Author: zc
 * @description 坐席辅助
 */
import request from '@/utils/request';
/**
 * @description 链接坐席辅助
 * @param {string} telNo
 */
export const voiceAssistant = (telNo: string) => {
	return request(
		{
			url: `users/getUserByAgentId/${telNo}`,
			method: 'get',
			baseURL: import.meta.env.VITE_VOICE_ASSISTANT_API_URL, // 请求地址  可以在不同url中修改
		},
		{
			error_message_show: false,
		}
	);
};
/**
 * @description 获取识别内容
 * @param {string} callId
 */
export const voiceAssistantContent = (callId: string) => {
	return request(
		{
			url: `/monitor/remote/details/${callId}`,
			method: 'get',
			baseURL: import.meta.env.VITE_VOICE_ASSISTANT_API_URL,
		},
		{
			error_message_show: false,
		}
	);
};
